{pkgs, ...}: {
  home = {
    username = "tacocat";
    homeDirectory = "/home/tacocat";
    stateVersion = "23.11";
    sessionVariables = {
      EDITOR = "hx";
      BAT_THEME = "ansi";
      DOTNET_ROOT = "$HOME/.dotnet";
    };
    sessionPath = [
      "$HOME/.local/bin"
      "$HOME/.dotnet"
      "$HOME/.cargo/bin"
    ];
    shellAliases = {
      ls = "eza";
      la = "eza -la";
      l = "eza -l";
      cat = "bat";
      please = "sudo !!";
      gaa = "git add .";
      gcm = "git commit -m";
      gpom = "git push -u origin main";
    };
    packages = with pkgs; [
      wineWowPackages.unstable
      eza
      bat
      comic-mono
      maple-mono
      pandoc
      jdk20
      pdftk
      git
    ];
  };

  fonts.fontconfig.enable = true;

  xdg.configFile."river" = {
    source = ./river;
    executable = true;
    recursive = true;
  };

  xdg.configFile."river/background.jpg".source = ./background.jpg;

  imports = [
    ./programs
    ./shell
    ./helix
    ./emacs
  ];

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
